aboutsummaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorprovokateurin <kate@provokateurin.de>2024-11-14 08:12:20 +0100
committerprovokateurin <kate@provokateurin.de>2024-11-14 08:12:20 +0100
commitfc0c61458eb4bd06bc57321e5050133d07d1ade9 (patch)
treebc1780f8b35d74fe08fb59eeeda4cb410e410869 /build
parentdfa7e7edea66c37a7b33965ad9e93648d44243b0 (diff)
downloadnextcloud-server-fc0c61458eb4bd06bc57321e5050133d07d1ade9.tar.gz
nextcloud-server-fc0c61458eb4bd06bc57321e5050133d07d1ade9.zip
test(integration): Correctly cleanup logstest/integration/cleanup-logs
Signed-off-by: provokateurin <kate@provokateurin.de>
Diffstat (limited to 'build')
-rwxr-xr-xbuild/integration/run.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/build/integration/run.sh b/build/integration/run.sh
index 8f5320af8f5..309f8ed0c75 100755
--- a/build/integration/run.sh
+++ b/build/integration/run.sh
@@ -39,6 +39,7 @@ fi
PORT=$((8080 + $EXECUTOR_NUMBER))
echo $PORT
+echo "" > "${NC_DATADIR}/nextcloud.log"
echo "" > phpserver.log
PHP_CLI_SERVER_WORKERS=2 php -S localhost:$PORT -t ../.. &> phpserver.log &
@@ -47,6 +48,14 @@ echo $PHPPID
# Output filtered php server logs
tail -f phpserver.log | grep --line-buffered -v -E ":[0-9]+ Accepted$" | grep --line-buffered -v -E ":[0-9]+ Closing$" &
+LOGPID=$!
+echo $LOGPID
+
+function cleanup() {
+ kill $PHPPID
+ kill $LOGPID
+}
+trap cleanup EXIT
# The federated server is started and stopped by the tests themselves
PORT_FED=$((8180 + $EXECUTOR_NUMBER))
@@ -73,8 +82,6 @@ fi
vendor/bin/behat --strict --colors -f junit -f pretty $TAGS $SCENARIO_TO_RUN
RESULT=$?
-kill $PHPPID
-
if [ "$INSTALLED" == "true" ]; then
$OCC files_external:delete -y $ID_STORAGE